<?php

namespace app\admin\controller;



use think\App;

class Purchease extends Base
{
    public function __construct(App $app)
    {
        parent::__construct($app);
        $this->model = new \app\admin\model\PurcheaseOrder();
    }
    public function list(){
    }
    //批量同步到结算
    public function SyscnToSettle(){
        $params = $this->request->param(['idArr'=>[]],"post","trim");
        $valid = $this->validate($params,[
            'idArr|订单编号'=>'require|array'
        ]);
        if($valid!==true) return error($valid);
        $orderArr = $this->model->whereIn("id",$params['idArr'])->select();
        if($orderArr->isEmpty()) return error("订单不存在");
        $this->model->startTrans();
        try{
            $up=$this->model->whereIn("id",$params['idArr'])->save(["update_time"=>date("Y-m-d H:i:s")]);
            if($up===false) throw new \Exception("更新失败");
            $this->model->commit();
        }catch (\Exception $e){
            $this->model->rollback();
            return error($e->getMessage());
        }
        return success("批量同步提交成功");
    }
}