<?php
namespace app\cxinv\model;

class FinancialCheck extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'checkCode'  =>'varchar',//调整单编号
        'code'  =>'varchar',//数据编号
        'type'  =>'int',//1计提单 2 盘点单
        'itemid'  =>'int',//计提id ,盘点id
        'goodType'  =>'int',//商品类型 1库存 2非库存 3采返
        'goodNo'  =>'varchar',//商品编号
        'goodName'  =>'varchar',//商品名称
        'company_code'  =>'varchar',//业务公司纳税号
        'company_name'  =>'varchar',//业务公司名称
        'spec'  =>'varchar',//规格
        'unit'  =>'varchar',//单位
        'num'  =>'decimal',//调整数量
        'price'  =>'decimal',//税后单价
        'subprice'  =>'decimal',//税前单价
        'check_fee'  =>'decimal',//调整金额
        'check_uid'  =>'int',//
        'check_uname'  =>'varchar',//
        'check_time'  =>'datetime',//
        'fz_date'  =>'varchar',//Ym 封账月份
        'create_time'  =>'datetime',//
    ];
    protected $createTime = 'create_time';
    public function FinancialTz(){
        return $this->hasOne(FinancialTz::class,'ktCode','code');
    }
    public function ProductCheck(){
        return $this->hasOne(ProductCheck::class,'checkCode','code');
    }
}