<?php


namespace app\youzan\controller;


use app\common\facade\Youzan;
use app\youzan\model\Promocode;use think\App;use think\facade\Cache;

class Voucher extends Base{
    protected $activity_type = [7=>'优惠券',9=>'共享码',10=>'唯一码',11=>'社区团购券'];
    protected $activity_status_cn = [0=>'有效',1=>'无效',2=>'审核中'];
    public function __construct(App $app) {
        parent::__construct($app);
    }
//    public function list(){
//        $params = $this->request->param([
//            	'activity_types'=>[10],
//            	'page'=>1,
//            	'status'=>0,
//            	'size'=>10
//        	]);
//        if(!empty($params['activity_types'])) $where[] = ["activity_type",'in',$params['activity_types']];
//        if($params['status']!=0) $where[] = $params['status']==3?["status","in",[0,2]]:['status','=',$params['status']];
//        $list = Promocode::where($where)->order("id desc")->paginate(["list_rows"=>$params['size'],"page"=>$params['page']])
//        ->each(function ($item){
//            $item['activity_type_cn'] = $this->activity_type[$item['activity_type']];
//            $item['status_cn'] = $this->activity_status_cn[$item['status']];
//        });
//        return success('SUCCESS',['list'=>$list->items(),'total'=>$list->total()]);
//    }
     public function list()
        {
            $params = $this->request->param([
                'activity_type_group' => 2,
                'time_line_status' => 0,
                'page_num' => 1,
                'activity_display_type' => 0,
                'title_keyword' => '',
                'page_size' => 20
            ]);
            $data =  Youzan::getData('coupon_search',$params,'1.0.0');
            if ($data['code'] != '200') return error($data['message']);
            $list=[];
            if (!empty($data['data'])) $list=array_map(function ($item){

                $temp= array_merge($item['activity'],$item['activity_budget']);
                $temp['activity_type_cn'] = $this->activity_type[$item['activity']['activity_type']]??'';
                $temp['activity_display_type'] = $item['activity_display_type'];
                $temp['time_line_status'] = $item['time_line_status'];
                $temp['time_status_cn'] = $this->time_status[$item['time_line_status']]??'';
                $temp['status_cn'] = $this->activity_status_cn[$item['activity']['status']]??'';
                return $temp;
            },$data['data']);
            return success($data['message'], ['list' => $list, 'total' => $data['total']]);
        }
    public function delete(){
        $params = $this->request->param([
            'activity_id'=>'',
        ]);
        if($params['activity_id']==''){
            return error('参数错误');
        }
        $params['activity_id'] = intval($params['activity_id']);
        $params['operator_type']=0;
        $params['operator_id']=0;
        $params['app_name']='youzanyun';
        $data = Youzan::getData('promocode_delete',$params);
         if(!isset($data['code'])|| $data['code']!='200') return error($data['message']??$data['gw_err_resp']['err_msg']);
        return success($data['message']);
    }
}